var mraa = require('mraa');
var server = require('http').createServer();
var io = require('socket.io').listen(server);

var port = 1234;

var MV1 = new mraa.Gpio(55);            //J20-pin 14 //Zitronensaft     
var MV2 = new mraa.Gpio(54);            //J20-pin 13 //Wodka    
var MV3 = new mraa.Gpio(53);            //J20-pin 12 //Malibu // Kirschsaft         
var MV4 = new mraa.Gpio(52);            //J20-pin 11 //Grenadine           

var eins = new mraa.Gpio(51);

/*
var MV5 = new mraa.Gpio(51);            //J20-pin 10 //Ananassaft    
var MV6 = new mraa.Gpio(50);            //J20-pin 09 //Bananensaft      // mit malibu
var MV7 = new mraa.Gpio(49);            //J20-pin 08 //Maracujasaft    
var MV8 = new mraa.Gpio(48);            //J20-pin 07 //Orangensaft    
var MV9 = new mraa.Gpio(47);            //J20-pin 06 //leer         // mit kirsch
var MV0 = new mraa.Gpio(46);            //J20-pin 05 //leer          
*/

MV1.dir(mraa.DIR_OUT);
MV2.dir(mraa.DIR_OUT);
MV3.dir(mraa.DIR_OUT);
MV4.dir(mraa.DIR_OUT);
/*
MV5.dir(mraa.DIR_OUT);
MV6.dir(mraa.DIR_OUT);
MV7.dir(mraa.DIR_OUT);
MV8.dir(mraa.DIR_OUT);
MV9.dir(mraa.DIR_OUT);
MV0.dir(mraa.DIR_OUT);
*/

eins.dir(mraa.DIR_OUT);
eins.write(1);


io.on('connection', function(socket) {
    console.log("A client is connected!");
    
    socket.on('disconnect', function () {
        socket.disconnect();
        console.log("A client is disconnected!");
    });
    
    socket.on('mv1', function() {
       // for (var z = 0; z < 10; z++) {
            MV1.write(1);
            sleep(400);
            MV1.write(0);
          //  sleep(500);
        //}   
    });
    
    socket.on('mv2', function() {
        for (var i = 0; i < 10; i++) {
            MV2.write(1);
            sleep(5000);
            MV2.write(0);
            sleep(500);
        }
    });
    
    socket.on('mv3', function() {
        for (var i = 0; i < 10; i++) {
            MV3.write(1);
            sleep(5000);
            MV3.write(0);
            sleep(500);
        }
        
    });
    socket.on('mv4', function() {
        for (var i = 0; i < 10; i++) {
            MV4.write(1);
            sleep(5000);
            MV4.write(0);
            sleep(500);
        }
        
    });
    /*
    socket.on('mv5', function() {
        for (var i = 0; i < 10; i++) {
            MV5.write(1);
            sleep(5000);
            MV5.write(0);
        }
   
        
    });
    
    socket.on('mv6', function() {
        for (var i = 0; i < 10; i++) {
            MV6.write(1);
            sleep(5000);
            MV6.write(0); 
        }
    });
    
    socket.on('mv7', function() {
        for (var i = 0; i < 10; i++) {
            MV7.write(1);
            sleep(5000);
            MV7.write(0);
        }
        
    });
    socket.on('mv8', function() {
        for (var i = 0; i < 10; i++) {
            MV8.write(1);
            sleep(5000);
            MV8.write(0);
        }
   
        
    });
    */

});


server.listen(port, function() {
    console.log("Server listening on port " + port);
});

function sleep(milliseconds) {
  var start = new Date().getTime();
  for (var i = 0; i < 1e7; i++) {
    if ((new Date().getTime() - start) > milliseconds){
        break;
    }
  }
}